Skip to main content
GET
/
2026-01
/
retail-media
/
accounts
/
{account-id}
/
creatives
/
{creative-id}
/2026-01/retail-media/accounts/{account-id}/creatives/{creative-id}
curl --request GET \
  --url https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/creatives/{creative-id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "environments": [
        {
          "environments": []
        }
      ],
      "formatId": 123,
      "name": "<string>",
      "retailerId": 123,
      "templateId": 123,
      "templateName": "<string>",
      "templateVariableValues": [
        {
          "id": "<string>",
          "choiceVariableValue": {
            "chosenOptions": [
              "<string>"
            ]
          },
          "colorVariableValue": {
            "color": "<string>"
          },
          "filesVariableValue": {
            "assetIds": [
              "<string>"
            ]
          },
          "hyperlinkVariableValue": {
            "url": "<string>"
          },
          "textVariableValue": {
            "text": "<string>"
          },
          "videoVariableValue": {
            "duration": "<string>",
            "height": 123,
            "url": "<string>",
            "width": 123
          }
        }
      ],
      "associatedLineItemIds": [
        "<string>"
      ],
      "brandId": 123,
      "id": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

account-id
string
required

External account id to retrieve creatives for

creative-id
string
required

Creative to get

Response

200 - application/json

Creatives found

A top-level object that encapsulates a Criteo API response for a single entity.

data
object

A class that represents a domain entity exposed by an API.

errors
object[] | null
read-only
warnings
object[] | null
read-only